// Testen der IOs

#include <avr/io.h>
#include <inttypes.h>
#include <util/delay.h>

void testIO( void );

void testIO( void )
{

	uint8_t i = 0;

	// Ports als Ausgang setzen
	DDRB = 0xff;
	DDRC = 0xff;
	DDRD = 0xff;

	// Pins der Reihe nach an
	while( PORTB < 0xff )
	{
		PORTB |= (1 << i);
		i++;
		_delay_ms(200);
	}

	i = 0;
	while( PORTC < 0x3f )
	{
		PORTC |= (1 << i);
		i++;
		_delay_ms(200);
	}

	i = 0;
	while( PORTD < 0xff )
	{
		PORTD |= (1 << i);
		i++;
		_delay_ms(200);
	}

	// Pins lschen
	_delay_ms(1000);
	PORTB = PORTC = PORTD = 0x00;
	
	// Ports als Eingang setzen
	DDRB = DDRC = DDRD = 0x00;

}
